
Infrastructure - Task #6863

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Check Metacat V1 API returns v1 object

2015-02-19 21:28 - Jing Tao

Status: Closed Start date: 2015-02-19

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Currently, Metacat V1 API will call V2 API to get returned objects. The returned objects can be either a V2 type or V1 type. If it is a

V2 type, we need the convert it to a V1 object.

Subtasks:

Task # 6864: CN.getSystemMetadata on the V1 API returns a V2 object. Closed

Task # 7038: MN v1.getLogRecords return an error Closed

History

#1 - 2015-04-10 23:08 - Jing Tao

For MN.api, those methods will involved:

getLogRecords (/log)

getCapacities (/node)

getSystemMetadata(/meta) 

I checked and it worked.

#2 - 2015-04-10 23:42 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

For CN:

CN API:

v2.Log;

v2.LogEntry;

v2.Node;

v2.NodeList;

v2.OptionList

v2.ObjectFormat

v2.ObjectFormatList;

v2.SystemMetadata

Metacat related methods passed the test:

CN.listFormats() GET /formats pass

CN.getFormat() GET /formats/{formatId} pass

CN.listNodes() GET /node (pass)

CN.getSystemMetadata GET /meta (pass)

Those two which are not in Metacat don't pass:

CN.getLogRecords() GET /log

CN.getCapacity GET / 

See the two bugs for above methods:
https://redmine.dataone.org/issues/6852

https://redmine.dataone.org/issues/7039

Powered by TCPDF (www.tcpdf.org)

2024-04-25 2/2

https://redmine.dataone.org/issues/6852
https://redmine.dataone.org/issues/7039
http://www.tcpdf.org

